<?php
//ini_set('display_errors',1);
session_start();
require_once ("../../config/Cado.php");
require_once ("../producto/cCatalogo.php");
$oCatalogo = new cCatalogo();
require_once ("../formatos/formato.php");
function responder($estado=false, $mensaje='', $datos=[])
{
	header('Content-type: application/json');
	echo json_encode([
		'est' => $estado,
		'msj' => $mensaje,
		'dat' => $datos,
		]);
	exit;
}
if($_POST['action']=='agregar') 
{
	if($_POST['cat_id']>0 )
	{
		
		$_SESSION['compra_car'][$_POST['cat_id'].$_POST['marca_id']]=strtoupper($_POST['cat_can']);
		$_SESSION['compra_catid'][$_POST['cat_id'].$_POST['marca_id']]=$_POST['cat_id'];
		$_SESSION['compra_catcodpri'][$_POST['cat_id'].$_POST['marca_id']]=$_POST['codpri'];
		$_SESSION['compra_linea_precom'][$_POST['cat_id'].$_POST['marca_id']] = moneda_mysql($_POST['cat_precom']);
		$_SESSION['compra_linea_mar'][$_POST['cat_id'].$_POST['marca_id']]=$_POST['marca_id'];
		$_SESSION['compra_linea_fecven'][$_POST['cat_id'].$_POST['marca_id']]=$_POST['fecven'];
		$_SESSION['compra_linea_lote'][$_POST['cat_id'].$_POST['marca_id']]=$_POST['lote'];
		$_SESSION['compra_linea_preven'][$_POST['cat_id'].$_POST['marca_id']]=$_POST['preven'];
		$_SESSION['compra_linea_prevenf'][$_POST['cat_id'].$_POST['marca_id']]=$_POST['prevenf'];
		
		
		if($_POST['cat_des']==""){
			$des = 0;
		}else{
			$des = $_POST['cat_des'];
		}
		$_SESSION['compra_linea_des'][$_POST['cat_id'].$_POST['marca_id']] = moneda_mysql($des);
		
		responder(true, '', ['tipo' => 'agregado']);
	}
	else
	{
		responder(false, 'Ingrese cantidad.', ['tipo' => 'cat_can']);
	}
}


if($_POST['action']=='restablecer')
{
	unset($_SESSION['compra_car']);
	unset($_SESSION['compra_catid']);
	unset($_SESSION['compra_linea_mar']);
	unset($_SESSION['compra_linea_precom']);
	unset($_SESSION['compra_linea_tippre']);
	unset($_SESSION['compra_linea_preuni']);
	unset($_SESSION['compra_linea_des']);
	unset($_SESSION['compra_linea_fle']);
	unset($_SESSION['compra_linea_per']);
	unset($_SESSION['compra_linea_cos']);
	unset($_SESSION['presentacion_id']);
	unset($_SESSION['compra_linea_tipdes']);
	unset($_SESSION['compra_general_des']);
	unset($_SESSION['compra_general_fle']);
	unset($_SESSION['compra_general_tipfle']);
	
	unset($_SESSION['compra_ajupos']);
	unset($_SESSION['compra_ajuneg']);
	responder(true, '');
}
if($_POST['action']=='quitar')
{
	unset($_SESSION['compra_car'][$_POST['cat_id']]);
	unset($_SESSION['compra_linea_precom'][$_POST['cat_id']]);
	unset($_SESSION['compra_linea_tippre'][$_POST['cat_id']]);
	unset($_SESSION['compra_linea_preuni'][$_POST['cat_id']]);
	unset($_SESSION['compra_linea_des'][$_POST['cat_id']]);
	unset($_SESSION['compra_linea_fle'][$_POST['cat_id']]);
	unset($_SESSION['compra_linea_per'][$_POST['cat_id']]);
	unset($_SESSION['compra_linea_tipdes'][$_POST['cat_id']]);
	unset($_SESSION['compra_linea_cos'][$_POST['cat_id']]);
	responder(true, '');
}
?>